Subject: RE: [PWE3] RE: IANA Allocation of New PW Type

From: "Ash, Gerald R \(Jerry\), ALABS" <[email-masked]>
Date: Thu, 9 Jun 2005 06:52:29 -0500

Hi Yaakov,

> I was just wondering why all compressed-header cases should 
> be a single PW type, and not separate types for cTCP (1144),
> IPHC (2507), cRTP (2508), and ROHC (3095).
> 
> By lumping them all together, we are essentially stating that 
> the native service is IP, and that the header compression 
> is an NSP to be performed before encapsulation.
> If so this work doesn't really need to be specified here at all,
> and the PW type is 0x000B.
> 
> On the other hand, if we are saying that the compressed-header
> packets belong to some other native network type, 
> then it is within our scope (although perhaps not defined in our
> charter), but it would seem to be necessary to uniquely identify
> the type of the forwarder.

You have a good point.  We think it would be appropriate to define a
separate PW type for each header compression (HC) scheme:

cTCP (RFC1144)
IPHC (RFC2507)
cRTP (RFC2508)
ROHC (RFC3095)
eCRTP (RFC3545)

The protocol extensions draft
http://ietf.org/internet-drafts/draft-ash-avt-hc-over-mpls-protocol-00.t
xt is intended to address all of these HC methods.

Thanks,
Regards,
Jerry

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Luca Martini <[email-masked]>
Date: Fri, 10 Jun 2005 17:31:35 -0600

Done.
Luca